package com.webchat.rmi.ugc;

import com.webchat.common.bean.APIResponseBean;
import com.webchat.domain.vo.request.MomentSaveOrUpdateVO;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;


@FeignClient(name = "webchat-ugc-service", contextId = "momentClient")
public interface MomentClient {

    /**
     * 动态发布API
     *
     * @param momentSaveOrUpdate
     * @return
     */
    @PostMapping("/ugc-service/moment/publish")
    APIResponseBean<Long> publish(@RequestBody MomentSaveOrUpdateVO momentSaveOrUpdate);
}
