package com.webchat.ugc.controller;


import com.webchat.common.bean.APIResponseBean;
import com.webchat.common.bean.APIResponseBeanUtil;
import com.webchat.ugc.service.moment.MomentTimeLineService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController
@RequestMapping("/ugc-service/moment/timeline")
public class MomentTimeLineController {


    @Autowired
    private MomentTimeLineService momentTimeLineService;

    @GetMapping("/save/{userId}")
    public APIResponseBean<Boolean> save(@PathVariable String userId) {
        momentTimeLineService.save(userId);
        return APIResponseBeanUtil.success();
    }
}
